## org.apache.fop.layout.inline
Class ForeignObjectArea

    java.lang.Object
      |
      +--org.apache.fop.layout.Box
            |
            +--org.apache.fop.layout.Area
                  |
                  +--org.apache.fop.layout.inline.InlineArea
                        |
                        +--org.apache.fop.layout.inline.ForeignObjectArea

public class ForeignObjectArea
extends InlineArea

Field Summary
`protected int` `aheight`
`protected int` `align`
`protected int` `awidth`
`protected int` `cheight`
`protected int` `cwidth`
`protected Area` `foreignObject`
`protected int` `scaling`
`protected int` `valign`
`protected int` `width`
`protected int` `xOffset`

Fields inherited from class org.apache.fop.layout.inline.InlineArea
`height, lineThrough, overlined, pageNumberId, underlined`

Fields inherited from class org.apache.fop.layout.Area

`allocationWidth, backgroundColor, borderColorBottom, borderColorLeft, borderColorRight, borderColorTop, borderStyleBottom, borderStyleLeft, borderStyleRight, borderStyleTop, borderWidthBottom, borderWidthLeft, borderWidthRight, borderWidthTop, children, contentRectangleWidth, currentHeight, foCreator, fontState, maxHeight, paddingBottom, paddingLeft, paddingRight, paddingTop, page, tableCellXOffset`

Fields inherited from class org.apache.fop.layout.Box
`areaTree, parent`

Constructor Summary
`ForeignObjectArea(FontState fontState, int width)`

Method Summary
`int` `getAlign()`
`int` `getContentWidth()` This is NOT the content width of the instream-foreign-object.
`int` `getEffectiveHeight()`
`int` `getEffectiveWidth()`
`int` `getHeight()` This is NOT the content height of the instream-foreign-object.
`int` `getIntrinsicHeight()`
`int` `getIntrinsicWidth()`
`Area` `getObject()`
`int` `getOverflow()`
`int` `getVerticalAlign()`
`int` `getXOffset()`
`void` `render(Renderer renderer)`
`int` `scalingMethod()`
`void` `setAlign(int align)`
`void` `setContentHeight(int cheight)`
`void` `setContentSizeAuto(boolean wa, boolean ha)`
`void` `setContentWidth(int cwidth)`
`void` `setHeight(int height)`
`void` `setIntrinsicHeight(int h)`
`void` `setIntrinsicWidth(int w)`
`void` `setObject(Area fobject)`
`void` `setOverflow(int o)`
`void` `setScaling(int scaling)`
`void` `setSizeAuto(boolean wa, boolean ha)`
`void` `setStartIndent(int startIndent)`
`void` `setVerticalAlign(int align)`
`void` `setWidth(int width)`

Methods inherited from class org.apache.fop.layout.inline.InlineArea
`getBlue, getGreen, getLineThrough, getOverlined, getPageNumberID, getRed, getUnderlined, getYOffset, setLineThrough, setOverlined, setUnderlined, setYOffset`

Methods inherited from class org.apache.fop.layout.Area

`addChild, addChildAtStart, addDisplaySpace, end, getAbsoluteHeight, getAllocationWidth, getBackgroundColor, getChildren, getContentHeight, getfoCreator, getFontInfo, getFontState, getIDReferences, getMaxHeight, getNearestAncestorAreaContainer, getPaddingBottom, getPaddingLeft, getPaddingRight, getPaddingTop, getPage, getParent, getTableCellXOffset, increaseAbsoluteHeight, increaseHeight, remove, removeChild, removeChild, setAbsoluteHeight, setAllocationWidth, setBackgroundColor, setBorderColor, setBorderStyle, setBorderWidth, setIDReferences, setMaxHeight, setPadding, setPage, setParent, setTableCellXOffset, spaceLeft, start`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### xOffset

    protected int xOffset

### align

    protected int align

### valign

    protected int valign

### scaling

    protected int scaling

### foreignObject

    protected Area foreignObject

### cheight

    protected int cheight

### cwidth

    protected int cwidth

### awidth

    protected int awidth

### aheight

    protected int aheight

### width

    protected int width

Constructor Detail

### ForeignObjectArea

    public ForeignObjectArea(FontState fontState,
                             int width)

Method Detail

### render

    public void render(Renderer renderer)

  Overrides:
    render in class Box

### getContentWidth

    public int getContentWidth()

  This is NOT the content width of the instream-foreign-object. This is the content width for a Box.
  Overrides:
    getContentWidth in class Area

### getHeight

    public int getHeight()

  This is NOT the content height of the instream-foreign-object. This is the content height for a Box.
  Overrides:
    getHeight in class InlineArea

### getXOffset

    public int getXOffset()

### setStartIndent

    public void setStartIndent(int startIndent)

### setObject

    public void setObject(Area fobject)

### getObject

    public Area getObject()

### setSizeAuto

    public void setSizeAuto(boolean wa,
                            boolean ha)

### setContentSizeAuto

    public void setContentSizeAuto(boolean wa,
                                   boolean ha)

### setAlign

    public void setAlign(int align)

### getAlign

    public int getAlign()

### setVerticalAlign

    public void setVerticalAlign(int align)

  Overrides:
    setVerticalAlign in class InlineArea

### getVerticalAlign

    public int getVerticalAlign()

  Overrides:
    getVerticalAlign in class InlineArea

### setOverflow

    public void setOverflow(int o)

### getOverflow

    public int getOverflow()

### setHeight

    public void setHeight(int height)

  Overrides:
    setHeight in class InlineArea

### setWidth

    public void setWidth(int width)

### setContentHeight

    public void setContentHeight(int cheight)

### setContentWidth

    public void setContentWidth(int cwidth)

### setScaling

    public void setScaling(int scaling)

### scalingMethod

    public int scalingMethod()

### setIntrinsicWidth

    public void setIntrinsicWidth(int w)

### setIntrinsicHeight

    public void setIntrinsicHeight(int h)

### getIntrinsicHeight

    public int getIntrinsicHeight()

### getIntrinsicWidth

    public int getIntrinsicWidth()

### getEffectiveHeight

    public int getEffectiveHeight()

### getEffectiveWidth

    public int getEffectiveWidth()

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.